//---------------------------------------------------------------------------

#ifndef PlayTimePanelH
#define PlayTimePanelH

//#include <vcl.h>
//---------------------------------------------------------------------------

class TPlayTimePanel : public TPanel
{
private:
	int m_iTime[3],
		m_iLeft[3],
		m_iRight[3];

	MESSAGE void __fastcall WMEraseBkgnd(TWMEraseBkgnd &Message);

	BEGIN_MESSAGE_MAP
		MESSAGE_HANDLER(WM_ERASEBKGND, TWMEraseBkgnd, WMEraseBkgnd)
	END_MESSAGE_MAP(TPanel)

protected:
	virtual void __fastcall CreateWnd();
	virtual void __fastcall Paint();

public:
	__fastcall TPlayTimePanel(TComponent *Owner);
	__fastcall ~TPlayTimePanel();

	void __fastcall SetTime( int iTime[3] );

__published:

};

#endif
